play.db.jpa

## Class Blob

- java.lang.Object
- - play.db.jpa.Blob

All Implemented Interfaces:
  UserType, Model.BinaryField

    public class Blob
    extends java.lang.Object
    implements Model.BinaryField, UserType

### Constructor Summary

Constructors
Constructor and Description
`Blob()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `assemble(java.io.Serializable cached, java.lang.Object owner)`
`java.lang.Object` `deepCopy(java.lang.Object o)`
`java.io.Serializable` `disassemble(java.lang.Object o)`
`boolean` `equals(java.lang.Object o, java.lang.Object o1)`
`boolean` `exists()`
`java.io.InputStream` `get()`
`java.io.File` `getFile()`
`static java.io.File` `getStore()`
`java.lang.String` `getUUID()`
`static java.lang.String` `getUUID(java.lang.String dbValue)`
`int` `hashCode(java.lang.Object o)`
`boolean` `isMutable()`
`long` `length()`
`java.lang.Object` `nullSafeGet(java.sql.ResultSet rs, java.lang.String[] names, SharedSessionContractImplementor session, java.lang.Object owner)`
`void` `nullSafeSet(java.sql.PreparedStatement ps, java.lang.Object value, int index, SharedSessionContractImplementor session)`
`java.lang.Object` `replace(java.lang.Object original, java.lang.Object target, java.lang.Object owner)`
`java.lang.Class` `returnedClass()`
`void` `set(java.io.InputStream is, java.lang.String type)`
`int[]` `sqlTypes()`
`java.lang.String` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Blob

    public Blob()

### Method Detail

#### get

    public java.io.InputStream get()

Specified by:
  `get` in interface `Model.BinaryField`

#### set

    public void set(java.io.InputStream is,
                    java.lang.String type)

Specified by:
  `set` in interface `Model.BinaryField`

#### length

    public long length()

Specified by:
  `length` in interface `Model.BinaryField`

#### type

    public java.lang.String type()

Specified by:
  `type` in interface `Model.BinaryField`

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `Model.BinaryField`

#### getFile

    public java.io.File getFile()

#### getUUID

    public java.lang.String getUUID()

#### sqlTypes

    public int[] sqlTypes()

Specified by:
  `sqlTypes` in interface `UserType`

#### returnedClass

    public java.lang.Class returnedClass()

Specified by:
  `returnedClass` in interface `UserType`

#### equals

    public boolean equals(java.lang.Object o,
                          java.lang.Object o1)
                   throws HibernateException

Specified by:
  `equals` in interface `UserType`
Throws:
  `HibernateException`

#### hashCode

    public int hashCode(java.lang.Object o)
                 throws HibernateException

Specified by:
  `hashCode` in interface `UserType`
Throws:
  `HibernateException`

#### nullSafeGet

    public java.lang.Object nullSafeGet(java.sql.ResultSet rs,
                                        java.lang.String[] names,
                                        SharedSessionContractImplementor session,
                                        java.lang.Object owner)
                                 throws HibernateException,
                                        java.sql.SQLException

Specified by:
  `nullSafeGet` in interface `UserType`
Throws:
  `HibernateException`
  `java.sql.SQLException`

#### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement ps,
                            java.lang.Object value,
                            int index,
                            SharedSessionContractImplementor session)
                     throws HibernateException,
                            java.sql.SQLException

Specified by:
  `nullSafeSet` in interface `UserType`
Throws:
  `HibernateException`
  `java.sql.SQLException`

#### deepCopy

    public java.lang.Object deepCopy(java.lang.Object o)
                              throws HibernateException

Specified by:
  `deepCopy` in interface `UserType`
Throws:
  `HibernateException`

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `UserType`

#### disassemble

    public java.io.Serializable disassemble(java.lang.Object o)
                                     throws HibernateException

Specified by:
  `disassemble` in interface `UserType`
Throws:
  `HibernateException`

#### assemble

    public java.lang.Object assemble(java.io.Serializable cached,
                                     java.lang.Object owner)
                              throws HibernateException

Specified by:
  `assemble` in interface `UserType`
Throws:
  `HibernateException`

#### replace

    public java.lang.Object replace(java.lang.Object original,
                                    java.lang.Object target,
                                    java.lang.Object owner)
                             throws HibernateException

Specified by:
  `replace` in interface `UserType`
Throws:
  `HibernateException`

#### getUUID

    public static java.lang.String getUUID(java.lang.String dbValue)

#### getStore

    public static java.io.File getStore()